#ifndef MONTJOIE_FILE_MONTJOIE_FLAG_HXX

#define MONTJOIE_WITH_ONE_DIM
#define MONTJOIE_WITH_TWO_DIM
#define MONTJOIE_WITH_THREE_DIM

#define MONTJOIE_WITH_NODAL_H1
#define MONTJOIE_WITH_HP_H1
#define MONTJOIE_WITH_NODAL_DG
#define MONTJOIE_WITH_ORTHO_DG
#define MONTJOIE_WITH_LEGENDRE_DG
#define MONTJOIE_WITH_HP_HCURL
#define MONTJOIE_WITH_HCURL_AXI
#define MONTJOIE_WITH_NODAL_HCURL
#define MONTJOIE_WITH_HP_HDIV
#define MONTJOIE_WITH_NODAL_HDIV

#ifdef SELDON_WITH_ARPACK
#define MONTJOIE_WITH_EIGENVALUE
#endif

#define MONTJOIE_WITH_TRANSMISSION
#define MONTJOIE_WITH_THIN_SLOT_MODEL
#define MONTJOIE_WITH_HIGH_CONDUCTIVITY_MODEL
#define MONTJOIE_WITH_TIME_REVERSAL

#define MONTJOIE_FILE_MONTJOIE_FLAG_HXX
#endif
